
-- Internet sales by year and month
USE AdventureWorksDW;
SELECT d.CalendarYear, d.MonthNumberOfYear, d.EnglishMonthName, SUM(s.SalesAmount) As SalesRevenue
FROM FactInternetSales AS s
JOIN DimDate AS d ON s.OrderDateKey = d.DateKey
GROUP BY d.CalendarYear, d.MonthNumberOfYear, d.EnglishMonthName
ORDER BY d.CalendarYear, d.MonthNumberOfYear;

-- Geographical reseller sales
SELECT d.CalendarYear, g.EnglishCountryRegionName, SUM(s.SalesAmount) As SalesRevenue
FROM FactResellerSales AS s
JOIN DimDate AS d ON s.OrderDateKey = d.DateKey
JOIN DimReseller AS r ON s.ResellerKey = r.ResellerKey
JOIN DimGeography AS g ON r.GeographyKey = g.GeographyKey
GROUP BY d.CalendarYear, g.EnglishCountryRegionName
ORDER BY d.CalendarYear, g.EnglishCountryRegionName;

-- Sales by product category
SELECT pc.EnglishProductCategoryName, 'Internet' AS SalesChannel, d.CalendarYear, SUM(i.SalesAmount) As Revenue
FROM DimProduct AS p
JOIN FactInternetSales i ON p.ProductKey = i.ProductKey
JOIN DimProductSubcategory ps ON p.ProductSubcategoryKey = ps.ProductSubcategoryKey
JOIN DimProductCategory pc ON ps.ProductCategoryKey = pc.ProductCategoryKey
JOIN DimDate AS d ON  i.OrderDateKey = d.DateKey
GROUP BY d.CalendarYear, pc.EnglishProductCategoryName
UNION ALL
SELECT pc.EnglishProductCategoryName, 'Reseller' AS SalesChannel, d.CalendarYear, SUM(r.SalesAmount) As Revenue
FROM DimProduct AS p
JOIN FactResellerSales r ON p.ProductKey = r.ProductKey
JOIN DimProductSubcategory ps ON p.ProductSubcategoryKey = ps.ProductSubcategoryKey
JOIN DimProductCategory pc ON ps.ProductCategoryKey = pc.ProductCategoryKey
JOIN DimDate AS d ON  r.OrderDateKey = d.DateKey
GROUP BY pc.EnglishProductCategoryName, d.CalendarYear
ORDER BY pc.EnglishProductCategoryName, d.CalendarYear, SalesChannel;