@Echo Off
ECHO Preparing the lab environment...

REM - Get current directory
SET SUBDIR=%~dp0


REM - Restart SQL Server Service to force closure of any open connections
NET STOP SQLSERVERAGENT
NET STOP MSSQLSERVER
NET START MSSQLSERVER
NET START SQLSERVERAGENT

REM - Run SQL Script to prepare the database environment
ECHO Deploying Data Warehouse...
SQLCMD -E -i %SUBDIR%SetupFiles\Setup.sql > NUL

ECHO Deploying Analysis Services Database...
ren %SUBDIR%SetupFiles\SetupSSAS.ps1.txt SetupSSAS.ps1
Powershell.exe %SUBDIR%SetupFiles\SetupSSAS.ps1 > NUL
ren %SUBDIR%SetupFiles\SetupSSAS.ps1 SetupSSAS.ps1.txt

ECHO Deploying Reports...
ren %SUBDIR%SetupFiles\SetupReports.ps1.txt SetupReports.ps1
Powershell.exe %SUBDIR%SetupFiles\SetupReports.ps1 > NUL
ren %SUBDIR%SetupFiles\SetupReports.ps1 SetupReports.ps1.txt

ECHO Deleting workbook file...
DEL %SUBDIR%Sales.xlsx

